import styles from "./page.module.css"
import {Footer, NavBar} from "@/app/util/wrapping_objects";

export default function About() {
    return (
        <>
            <h1>Acknowledgements</h1>
            <section>
                <table>
                    <thead>
                    <tr>
                        <th>
                            <p>tool</p>
                        </th>
                        <th>
                            <p>license</p>
                        </th>
                        <th>
                            <p>page</p>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            <p>Kotlin</p>
                        </td>
                        <td>
                            <a href={"https://kotlinlang.org/docs/faq.html#is-kotlin-free"} target={"_blank"}>Apache license 2.0</a>
                        </td>
                        <td>
                            <a href={"https://kotlinlang.org/"} target={"_blank"}>website</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>Kord</p>
                        </td>
                        <td>
                            <a href={"https://github.com/kordlib/kord/blob/main/LICENSE"} target={"_blank"}>MIT license</a>
                        </td>
                        <td>
                            <a href={"https://kord.dev/"} target={"_blank"}>website</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>Kord Extensions</p>
                        </td>
                        <td>
                            <a href={"https://github.com/Kord-Extensions/kord-extensions/blob/root/LICENSE"} target={"_blank"}>Mozilla Public License 2.0</a>
                        </td>
                        <td>
                            <a href={"https://kordex.kotlindiscord.com/"} target={"_blank"}>website</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>PostgreSQL</p>
                        </td>
                        <td>
                            <a href={"https://www.postgresql.org/about/licence/"} target={"_blank"}>PostgreSQL license</a>
                        </td>
                        <td>
                            <a href={"https://www.postgresql.org/"} target={"_blank"}>website</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>kotlinx-coroutines-core</p>
                        </td>
                        <td>
                            <a href={"https://github.com/Kotlin/kotlinx.coroutines/blob/master/LICENSE.txt"} target={"_blank"}>Apache license 2.0</a>
                        </td>
                        <td>
                            <a href={"https://github.com/Kotlin/kotlinx.coroutines"} target={"_blank"}>repo</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>slf4j</p>
                        </td>
                        <td>
                            <a href={"https://github.com/qos-ch/slf4j/blob/master/LICENSE.txt"} target={"_blank"}>MIT license</a>
                        </td>
                        <td>
                            <a href={"https://www.slf4j.org/"} target={"_blank"}>website</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>Exposed</p>
                        </td>
                        <td>
                            <a href={"https://github.com/JetBrains/Exposed/blob/main/LICENSE.txt"}>Apache license 2.0</a>
                        </td>
                        <td>
                            <a href={"https://github.com/JetBrains/Exposed"} target={"_blank"}>repo</a>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>Krontab</p>
                        </td>
                        <td>
                            <a href={"https://github.com/InsanusMokrassar/krontab/blob/master/LICENSE"} target={"_blank"}>Apache license 2.0</a>
                        </td>
                        <td>
                            <a href={"https://github.com/InsanusMokrassar/krontab"} target={"_blank"}>repo</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </section>
        </>
    )
}
