import styles from "./page.module.css"
import {Footer, NavBar} from "@/app/util/wrapping_objects";

export default function About() {
    return (
        <>
            <h1>Terms of Service</h1>
            <p>
                <h2>Introduction</h2>

                Welcome to li'l Judd, an open-source Discord bot licensed under GNU GPL 3.0. This document outlines the terms of service ("Terms") for using the li'l Judd Discord bot ("the Bot") and the services associated with it.
                <br/>
                By using the Bot, you agree to comply with these Terms, the GNU GPL 3.0 license, and Discord's Terms of Service.
                <br/>
                <br/>
                <h2>1. Acceptance of Terms</h2>

                By using the Bot, you agree to be bound by these Terms and the GNU GPL 3.0 license. If you do not agree with any of these terms, you are prohibited from using the Bot.
                <br/>
                <br/>
                <h2>2. License</h2>

                The li'l Judd Discord Bot is open-source and licensed under GNU General Public License (GPL) version 3.0. You are free to use, modify, and distribute the Bot in accordance with the terms specified in the GNU GPL 3.0 license.
                <br/>
                <br/>
                <h2>3. Use of the Bot</h2>
                <h3>3.1. Compliance with Discord's Terms of Service</h3>
                You must abide by Discord's Terms of Service and Community Guidelines while using the Bot. Any violation of Discord's policies may result in termination of access to the Bot.

                <br/>
                <br/>
                <h3>3.2. No Warranty</h3>

                The Bot is provided "as is" without any warranty, expressed or implied. The authors and maintainers of the Bot are not responsible for any damages or consequences resulting from the use of the Bot.
                <br/>
                <br/>
                <h3>3.3. User Conduct</h3>

                You agree to use the Bot in a manner that is respectful, lawful, and in compliance with all applicable laws and regulations. Any harmful or abusive behavior towards others is strictly prohibited.
                <br/>
                <br/>
                <h3>3.4. Modifications</h3>

                You may modify, adapt, or extend the Bot in accordance with the GNU GPL 3.0 license, as long as any derivative work remains open-source and is also licensed under GNU GPL 3.0.
                <br/>
                <br/>
                <h2>4. Limitation of Liability</h2>
                The authors and maintainers of the Bot shall not be liable for any direct, indirect, incidental, special, consequential, or exemplary damages arising out of the use or inability to use the Bot.
                <br/>
                <br/>
                <h2>5. Indemnification</h2>

                You agree to indemnify and hold harmless the authors and maintainers of the Bot from any claims, damages, losses, or liabilities arising from your use of the Bot or your breach of these Terms.
                <br/>
                <br/>
                <h2>6. Governing Law</h2>

                These Terms are governed by and construed in accordance with the laws of Germany. Any disputes arising under or in connection with these Terms shall be subject to the exclusive jurisdiction of the courts in Germany.
                <br/>
                <br/>
                <h2>7. Changes to the Terms</h2>

                We reserve the right to update or modify these Terms at any time. Changes will be effective immediately upon posting. Continued use of the Bot after any modifications indicates your acceptance of the updated Terms.
                <br/>
                <br/>
                <h2>Contact</h2>

                If you have any questions or concerns regarding these Terms, you may contact us at contact at moonleay dot net.

                By using the li'l Judd Discord Bot, you acknowledge that you have read, understood, and agree to these Terms of Service.
            </p>
        </>
    )
}
