import styles from "./page.module.css"
import {Footer, NavBar} from "@/app/util/wrapping_objects";

export default function About() {
    return (
        <>
            <section>
                <h1>Why does this bot exist?</h1>
                <p>We had a person in our team, who sent <a href={"https://static.moonleay.net/img/lilJuddWeb/about/oldplanningmsg.png"}>these planning messages</a> and I thought that this should be automated. Some time later the first version of li'l Judd was born.</p>
            </section>
            <section>
                <h1>What now?</h1>
                <p>Today the bot has more features and keeps getting more of them! It is designed to actually improve the Splatoon experience and not be the 10000th moderation and general utility bot with the same features as all bots.</p>
            </section>
            <section>
                <h1>Who is behind this?</h1>
                <p>The bot is currently being developed by <a href={"https://discord.com/users/372703841151614976"} target={"_blank"}>moonleay</a> (hey thats me!) with the occasional oneliner from his friends!</p>
            </section>
            <section>
                <h1>Where is my data stored?</h1>
                <p>Your data is stored in my basement on my server in Germany. And this will stay that way until I move.</p>
            </section>
            <section>
                <h1>So whats in the future?</h1>
                <p>I plan on adding features, which are aimed to improve your and your teams competitive experience! I probably should set up a todo list in the future, but for now you can see my ideas <a href={"https://git.moonleay.net/DiscordBots/lilJudd#maybe-upcoming-features"} target={"_blank"}>in the README of the git project</a>.</p>
            </section>
            <section>
                <h1>Hey, there is this realy cool idea I have! Can you add it?</h1>
                <p>Just message me! I can't promise anything, but I am always open to new ideas and improvements! You can find ways to contact me <a href={"/contact"} target={"_blank"}>here</a>.</p>
            </section>
        </>
    )
}
