import styles from "./page.module.css";
import {Footer, NavBar} from "@/app/util/wrapping_objects";

export default function Stack() {
    return (
        <>
            <h1>How do I...?</h1>
            <section>
                <h2>.. enable / disable certain features?</h2>
                <p>Features can be enabled and disables using the <code>/feature</code> command.<br/>Example:</p>
                <p>"<code>/feature feature:Time Planning Feature set:Enable channel:#ich-kann-heute</code>"<br/>will enable the Time Planning Feature in the "ich-kann-heute" channel.</p>
                <img src={"https://static.moonleay.net/img/lilJuddWeb/howdoi/featureexample.png"} alt={"A screenshot of the example in Discord."}/>
            </section>
            <section>
                <h2>.. create a match?</h2>
                <p>You can create a match time using the <code>/match</code> command.<br/>Example:</p>
                <p>"<code>/match match:Ladder Match timestamp:24.12.2069 04:20 opponent:Forbidden</code>"<br/>will create a match on the 24th of December 2069 at 4am in the morning.<br/>Keep in mind that it is important to use the right time format. (<code>dd.MM.yyyy HH:mm</code>)</p>
                <img src={"https://static.moonleay.net/img/lilJuddWeb/howdoi/matchexample.png"} alt={"A screenshot of the example in Discord."}/>
            </section>
            <section>
                <p>Is something missing here? Please contact me!</p>
            </section>
        </>
    )
}

