import styles from "./page.module.css"
import {Footer, NavBar} from "@/app/util/wrapping_objects";

export default function Imprint() {
    return (
        <>
            <section>
                <h1>Imprint</h1>
                <p>In accordance with the applicable legal regulations, we would like to point out that this website is not subject to the imprint obligation. This notice is for clarification and transparent information for our visitors.
                    <br/>
                    <br/>
                    According to § 5 TMG (Telemedia Act), certain providers of telemedia in Germany are obliged to provide an imprint with certain information. This obligation applies in particular to commercial websites or those that are used for business purposes.
                    <br/>
                    <br/>
                    However, since this website has no business or commercial character and only provides non-commercial, informative or private content, it is not subject to the imprint obligation according to § 5 TMG.
                    <br/>
                    <br/>
                    Nevertheless, we strive to keep all information on this website correct and up-to-date to the best of our knowledge and belief. However, if you have any questions or concerns, please feel free to contact us using the contact options provided.</p>
            </section>
        </>
    )
}
