import styles from "./page.module.css"
import {Footer, NavBar} from "@/app/util/wrapping_objects";

export default function About() {
    return (
        <>
            <section>
                <h1>Privacy Policy</h1>
                <br/>
                <br/>

                <h2>Introduction</h2>

                This Privacy Policy outlines how the li'l Judd Discord bot ("the bot") collects, uses, and protects user data. The bot is committed to complying with the General Data Protection Regulation (GDPR) and ensuring the privacy and security of user information.
                <br/>
                <br/>

                <h2>1. Information Collection</h2>

                <h3>1.1. Data Collection</h3>

                The bot does not collect or store any personal information from users.
                <br/>
                <br/>

                <h3>1.2. Server Data</h3>

                The bot may collect and store server-related data necessary for its functionality, but this data is not associated with individual users and is used solely for operational purposes.
                <br/>
                <br/>

                <h2>2. Data Storage and Security</h2>

                <h3>2.1. Data Storage Location</h3>

                All data collected by the bot is stored within servers located in Germany.
                <br/>
                <br/>

                <h3>2.2. Security Measures</h3>

                We employ industry-standard security measures to ensure the safety and confidentiality of the data stored within our systems.
                <br/>
                <br/>

                <h2>3. Data Sharing</h2>

                The bot does not share any user or server data with third parties.
                <br/>
                <br/>

                <h2>4. Rights of Users</h2>

                <h3>4.1. Access, Rectification, and Deletion</h3>

                Users have the right to access, rectify, or delete any personal data held by the bot. For such requests, please contact the bot's developer at contact at moonleay dot net.
                <br/>
                <br/>

                <h3>4.2. Data Retention</h3>

                As the bot does not collect personal data, data retention is not applicable.
                <br/>
                <br/>

                <h2>5. Compliance with GDPR</h2>

                The bot is designed to comply with the GDPR and respects the rights of individuals regarding their personal data.
                <br/>
                <br/>

                <h2>6. Changes to the Privacy Policy</h2>

                We reserve the right to update or modify this Privacy Policy at any time. Changes will be effective immediately upon posting. Continued use of the bot after any modifications indicates acceptance of the updated Privacy Policy.
                <br/>
                <br/>

                <h2>7. Contact</h2>

                For any inquiries or concerns regarding this Privacy Policy, please contact us at contact at moonleay dot net.

                By using the li'l Judd Discord bot, you acknowledge that you have read, understood, and agree to this Privacy Policy.
            </section>
        </>
    )
}
